package com.ho.flow.service.process.service;

import com.ho.common.tools.util.PageResult;
import com.ho.flow.entity.ProcessTemplate;

/**
 * @Author yule
 * @Date 2023/8/18 9:21
 * @desc ${}
 */
public interface ProcessManagementService {

    /**
     * 新增流程模板对象
     * @param processTemplate
     */
    void add(ProcessTemplate processTemplate);

    /**
     * 删除流程模板对象
     * @param processTemplate
     */
    void delete(ProcessTemplate processTemplate);


    /**
     * 修改流程模板对象
     * @param processTemplate
     */
    void edit(ProcessTemplate processTemplate);

    /**
     * 根据id查询流程模板
     * @param id
     * @return
     */
    ProcessTemplate getInfo(Integer id);

    /**
     * 分页查询流程模板对象
     * @param processTemplate
     * @return
     */
    PageResult<ProcessTemplate> selectPage(ProcessTemplate processTemplate);

    /**
     * 根据id获取流程图
     * @param id
     * @return
     */
    String getBpmn(Integer id);
}
